After reading 150 posts on google re: vla-highlight, no one has said it doesn't work, so I know it's me...but... this works (defun highlight1 (ent) (redraw ent 3) ) this doesn't work (defun highlight2 (ent / vo) (setq vo(vlax-ename->vla-object ent)) (vla-highlight vo :vlax-true) (vla-update vo ) ) this doesn't work (defun Highlight3(ent / vo) (setq vo(vlax-ename->vla-object ent)) (vlax-invoke-method vo "HIGHLIGHT" :vlax-true) (vla-update vo ) ) this doesn't work (defun Highlight4(ent / vo) (setq vo(vlax-ename->vla-object ent)) (vlax-invoke-method vo 'highlight :vlax-true) (vla-update vo ) ) and this doesn't work Sub testhighlight() Dim oEnt As AcadEntity Dim vp As Variant ThisDrawing.Utility.GetEntity oEnt, vp, "Pick something" oEnt.Highlight True oEnt.Update MsgBox "Did that work?" oEnt.Highlight False oEnt.Update MsgBox "Did that work?" End Sub as usual I must be missing something stupidly obvious, any one care to clue me in?